#ifndef G_INPUT_H
#define G_INPUT_H

#if defined(LINUX) && defined(__cplusplus)
extern "C" {
#endif

#define DIRECTINPUT_VERSION 0x0500  // for joystick support

#ifdef WIN32
#include <dinput.h>
#endif
//#include <mmsystem.h>

struct K_Def {
	unsigned int Start, Mode;
	unsigned int A, B, C;
	unsigned int X, Y, Z;
	unsigned int Up, Down, Left, Right;
	};

extern struct K_Def Keys_Def[8];
extern unsigned char Kaillera_Keys[16];

int String_Size(char *Chaine);
unsigned int Get_Key(void);
int Check_Key_Pressed(int key);
#ifdef WIN32
int Setting_Keys(HWND hset, int Player, int Type);
int Init_Input(HINSTANCE hInst, HWND hWnd);
#else
void Init_Input(void);
#endif
void End_Input(void);
void Update_Input(void);
void Update_Controllers(void);
void Scan_Player_Net(int Player);
void Update_Controllers_Net(int num_player);

#if defined(LINUX) && defined(__cplusplus)
}
#endif

#endif